POST dataAgent/llm/openApi/v2/deepresearch/knowledgeEngineBaseList
获取知识引擎下指定项目(tenant/app)的知识库列表,分页返回。
仅返回用户有权限的知识库
字段 | 类型 | 必填 | 默认值 | 说明 |
|---|---|---|---|---|
| int/string | 是 | 项目(tenant)ID;若需精确到某个项目下的知识库需传 | |
| int | 是 |
| 当前页码,从 1 开始 |
| int | 是 |
| 每页数量 |
| string | 否 | 模糊搜索关键词,对知识库名称匹配 |
返回标准分页结构 PaginationInfo:
字段 | 类型 | 说明 |
|---|---|---|
| int | 当前页码 |
| int | 每页数量 |
| int | 总条数 |
| int | 总页数 |
| bool | 是否有下一页 |
| bool | 是否成功 |
| string | 错误信息(成功为空) |
| Array | 知识库列表,透传字段( |
示例 A:分页查询(不带关键词)
curl -X POST \ "https://${IDA_DOMAIN}/dataAgent/llm/openApi/v2/deepresearch/knowledgeEngineBaseList" \ -H "Authorization: Bearer ${JWT_TOKEN}" \ -H 'Accept: application/json, text/plain, */*' \ -H 'Content-Type: application/json' \ --data-raw '{"page":1,"pageSize":200,"appId":1}' \ --silent | jq
示例 B:带关键词模糊搜索
curl -X POST \ "https://${IDA_DOMAIN}/dataAgent/llm/openApi/v2/deepresearch/knowledgeEngineBaseList" \ -H "Authorization: Bearer ${JWT_TOKEN}" \ -H 'Accept: application/json, text/plain, */*' \ -H 'Content-Type: application/json' \ --data-raw '{"page":1,"pageSize":200,"appId":1,"kw":"存量"}' \ --silent | jq
响应(真实样例,节选):
{ "JSONIFY_PRETTYPRINT_REGULAR": false, "code": "llm/ok", "msg": {}, "data": { "errorMsg": "", "hasNextPage": false, "isSuccess": true, "page": 1, "pageSize": 200, "total": 6, "totalPages": 1, "items": [ { "id": 104, "name": "存量知识迁移-10004", "description": "存量知识迁移", "category": "general", "contentType": "general", "type": "normal", "status": "1", "tenantId": 1, "subjectId": 0, "createdBy": "admin", "createDate": "2026-06-04 15:04:41", "createTime": 1780556681025, "updateDate": "2026-06-04 15:04:41", "updateTime": 1780556681114, "docNum": 3, "chunkNum": 152, "tokenNum": 0, "defaultDocId": 571, "language": "English", "embdId": "", "llmId": null, "avatar": null, "actions": ["read", "write"], "autoLabels": [], "permission": "team", "parserId": "verag_1_189_kg", "parserConfig": { "pages": [[1, 1000000]], "ragEngine": "sophon" }, "scheduleConfig": { "bdbTaskId": -1, "dayOfMonth": null, "dayOfWeek": null, "frequency": null, "scheduleType": 0, "timeSetting": null }, "similarityThreshold": 0.2, "vectorSimilarityWeight": 0.3 }, { "id": 188, "name": "存量知识迁移-4", "description": "存量知识迁移", "docNum": 1, "chunkNum": 76, "defaultDocId": 569, "tenantId": 1, "createdBy": "admin", "createDate": "2026-06-03 18:43:09", "updateDate": "2026-06-03 18:43:10", "actions": ["read", "write"], "permission": "team", "parserId": "verag_1_188_kg", "parserConfig": {"pages": [[1, 1000000]], "ragEngine": "sophon"}, "scheduleConfig": {"bdbTaskId": -1, "scheduleType": 0}, "similarityThreshold": 0.2, "vectorSimilarityWeight": 0.3 } ] } }